﻿@model FQ.MD.WEB.ViewModels.Form.StatusEditForm
@using FQ.MD.WEB.Resources

@{
    ViewBag.Title = Res.Edit;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", "Modules")">@Res.Status</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", new { ModuleId = Model.ModuleId })">@Res.Menus</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>


<div class="card">
    <div class="card-header">
        <div class="row">
            <label class="col-md-2 font-weight-bold">@Res.Module</label>
            <label class="col-md-6">: @ViewBag.Module</label>
        </div>
        <div class="row">
            <div class="col-6">
            </div>
            <div class="col-6">
            </div>
        </div>
    </div>
    <div class="card-body">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            @Html.HiddenFor(model => model.StatusId)
            @Html.HiddenFor(model => model.ModuleId)
            <div class="form-horizontal">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Status</label>
                    <div class="col-md-6">                        
                        @Html.EditorFor(model => model.Status, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        @Html.ValidationMessageFor(model => model.Status, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Description</label>
                    <div class="col-md-6">
                        @Html.TextAreaFor(model => model.Description, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <div class="offset-md-2 col-md-6">
                        <input type="submit" value="@Res.Edit" class="btn btn-sm btn-primary" />
                        <input type="reset" value="@Res.Reset" class="btn btn-sm btn-danger" />
                    </div>
                </div>
            </div>
        }
    </div>
</div>